#include <windows.h>
#include <iostream>
using namespace std;

const int ITERATION_COUNT = 4;
DWORD WINAPI process (void *ptr);

int main()
{
    HANDLE thread_a, thread_b;
    char id_a={'A'}, id_b={'B'};
    DWORD id2_a, id2_b;
    thread_a = CreateThread (NULL, 0, process, (void*)&id_a, 0, &id2_a);
    thread_b = CreateThread (NULL, 0, process, (void*)&id_b, 0, &id2_b);
    HANDLE tt[2];
    tt[0] = thread_a;
    tt[1] = thread_b;
    WaitForMultipleObjects (2, tt, TRUE, INFINITE);
    CloseHandle (thread_a);
    CloseHandle (thread_b);
    cout << "END OF " << id_a << " " << id_b << endl;
    return 0;
}

DWORD WINAPI process (void *ptr)
{
    for (int i=0; i<ITERATION_COUNT; i++)
    {
        cout << *((char*)ptr) << i << endl;
        Sleep (rand()%2*100);
    };
    cout << "End of the thread " << *((char*)ptr) << endl;
}
